#### AI tools ##########
# Toolbar to simplify installation
# of my AI system.
# V 1.0
#### By Wacov #########

require 'sketchup.rb'

# AI registration method
 def setAI(num)
   selection=Sketchup.active_model.selection
   selection.each{|ent|
      ent.set_attribute('AI','num',num)
      ent.entities.each{|subent|
         subent.set_attribute('AI','num',num)
      }
   }
 end

# AI route auto-number method
 def setRoute
   selection=Sketchup.active_model.selection
   num=1
   selection.each{|node|
     if node.is_a? Sketchup::Group or node.is_a? Sketchup::Component
       name=node.name
       [1,2,3,4,5,6,7,8,9,0].each{|n|name.delete!(n.to_s)}
       node.name=name
       node.name+=num.to_s
       num+=1
     end
   }
 end

#AI registration Command
 aiRegistration=UI::Command.new ("Set AI") {
   selection=Sketchup.active_model.selection
   if selection[0]==nil
     UI.messagebox "Please make a selection"
   else
     input=UI.inputbox(["AI Number"],["1"],"AI Registration")
     setAI(input[0].to_i)
   end
 }
 aiRegistration.tooltip="Set AI"
 aiRegistration.status_bar_text="Register AI. Select all parts of your vehicle, and use this to set its AI number"
 aiRegistration.small_icon="AI Tools/AI reg small icon.png"
 aiRegistration.large_icon="AI Tools/AI reg large icon.png"

#AI route auto-number Command
 aiNumber=UI::Command.new("Auto-number Route"){
   selection=Sketchup.active_model.selection
   if selection[0]==nil
     UI.messagebox "Please make a selection"
   else
     setRoute
   end
 }
 aiNumber.tooltip="Number Route"
 aiNumber.status_bar_text="Auto-number AI Route. Create the route nodes in order, select them, and use this tool."
 aiNumber.small_icon="AI Tools/AI num small icon.png"
 aiNumber.large_icon="AI Tools/AI num large icon.png"

# Toolbar
 aiToolbar=UI::Toolbar.new "AI"
 aiToolbar=aiToolbar.add_item aiRegistration
 aiToolbar=aiToolbar.add_item aiNumber
 aiToolbar.show